Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: YaST on SLES 9

  1. #1

    Default YaST on SLES 9

    Hi,

    I've inherited quite an old SLES 9 32-bit server, which is running quite a critical database in our organization. I'm trying to setup a Nagios NRPE client on this machine in order to be able to monitor it and get alerts when it is failing. However, when I load up YaST and try to install any software it repeatedly asks for the SLES installation CD, even though I'm trying to do an online update.

    How can I get the packages installed, that I need from the online repository? i.e. disable YaST from looking for packages on the installation CD?

    Note that I tried signing up to the SLES forums, but wasn't able to as it threw a PHP error every time I tried to sign in. I apologize if I'm asking in the wrong forum.

    Thank you
    Serge

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: YaST on SLES 9

    On 2012-02-22 03:36, sergeorion wrote:

    > Note that I tried signing up to the SLES forums, but wasn't able to as
    > it threw a PHP error every time I tried to sign in. I apologize if I'm
    > asking in the wrong forum.


    It is indeed the wrong forum, these are dedicated to openSUSE, many of us
    have never even used SLES. I would like to help, but I can't make
    appropriate guesses.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,491
    Blog Entries
    15

    Default Re: YaST on SLES 9

    Quote Originally Posted by sergeorion
    Hi,

    I've inherited quite an old SLES 9 32-bit server, which is running
    quite a critical database in our organization. I'm trying to setup a
    Nagios NRPE client on this machine in order to be able to monitor it and
    get alerts when it is failing. However, when I load up YaST and try to
    install any software it repeatedly asks for the SLES installation CD,
    even though I'm trying to do an online update.

    How can I get the packages installed, that I need from the online
    repository? i.e. disable YaST from looking for packages on the
    installation CD?

    Note that I tried signing up to the SLES forums, but wasn't able to as
    it threw a PHP error every time I tried to sign in. I apologize if I'm
    asking in the wrong forum.

    Thank you
    Serge

    Hi
    The same login is used here for forums.suse.com, they have been playing
    around with some things, can you try to login again?

    Does the system still have a valid subscription?

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
    up 3 days 6:07, 3 users, load average: 0.05, 0.11, 0.11
    CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU


  4. #4

    Default Re: YaST on SLES 9

    IIRC you can turn off the cd-s as source of packages. On the other hand, if the online package (i.e. from opensuse's repos ) you are trying to install will need a dependency from the installation cd-s, than there is your explanation on why the cd-s are asked for.

    The links for downloads are here: SLES 9 Download - CoolSolutionsWiki but if I am not mistaking you will still need a valid subscription for the SP downloads.

    Also, the online update (security patches) will work (will be available to you) ONLY if you have valid subscription from Novell - an username / pass account which correlated to your company's license.

    More info on pricing: http://www.suse.com/products/server/how-to-buy/

    Cheers.

  5. #5
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,043

    Default Re: YaST on SLES 9

    On Wed, 22 Feb 2012 02:36:03 +0000, sergeorion wrote:

    > Note that I tried signing up to the SLES forums, but wasn't able to as
    > it threw a PHP error every time I tried to sign in. I apologize if I'm
    > asking in the wrong forum.


    Send me a PM with information about what error you received and which
    specific website you went to, and I'll see what I can find out.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: YaST on SLES 9

    Am 22.02.2012 03:36, schrieb sergeorion:
    > install any software it repeatedly asks for the SLES installation CD,
    > even though I'm trying to do an online update.


    I have some doubts that anything you try online will work
    http://lists.opensuse.org/opensuse-s.../msg00014.html
    SUSE announces the end of general support for SUSE Linux Enterprise 9 on
    August 31, 2011.
    But as I am not a SLES expert I can be wrong and they provide the
    repositories for a longer time after the EOL.

    --
    PC: oS 11.4 (dual boot 12.1) 64 bit | Intel Core i7-2600@3.40GHz | KDE
    4.6.0 | GeForce GT 420 | 16GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.8.0 |
    nVidia ION | 3GB Ram

  7. #7

    Default Re: YaST on SLES 9

    Quote Originally Posted by martin_helm View Post
    Am 22.02.2012 03:36, schrieb sergeorion:

    I have some doubts that anything you try online will work
    [security-announce] Advance discontinuation notice for SUSE Linux Enterp

    But as I am not a SLES expert I can be wrong and they provide the
    repositories for a longer time after the EOL.
    IIRC one of the e-mails I received this year from Novell due to previous business, with patches info, included updates for SLES 9 also, beside 10 and 11, so I am almost sure they provite LTS for SLES 9 (again from memory but it was something like "long term service pack support").

  8. #8

    Default Re: YaST on SLES 9

    Quote Originally Posted by sergeorion View Post
    Hi,

    I've inherited quite an old SLES 9 32-bit server, which is running quite a critical database in our organization. I'm trying to setup a Nagios NRPE client on this machine in order to be able to monitor it and get alerts when it is failing. However, when I load up YaST and try to install any software it repeatedly asks for the SLES installation CD, even though I'm trying to do an online update.

    How can I get the packages installed, that I need from the online repository? i.e. disable YaST from looking for packages on the installation CD?

    Note that I tried signing up to the SLES forums, but wasn't able to as it threw a PHP error every time I tried to sign in. I apologize if I'm asking in the wrong forum.

    Thank you
    Serge
    I remembered where to disable the CD-s as source: It's YAST\Software\Change Source of installation

    In the same place you can add SLES 9 repositories from opensuse repos, but you'll have to put the paths manually (I remembered I tested few options until I got the right path yast wants to use).

    At the same time, take notice of martin's info - I have no idea how up-to-date are those repos.

    Cheers and good luck.

    PS

    Oups, I just looked on http://software.opensuse.org/search and SLES 9 is not in the list any more... All repos might have been deleted.

  9. #9

    Default Re: YaST on SLES 9


  10. #10

    Default Re: YaST on SLES 9

    Thank you all for the helpful information. I've tried changing the source of the packages and it looks like the online repositories were never set up.

    I'm going to try and download the SLES9 ISO's from the link that ghost posted, use that as the software source and see if that has the packages that I need on it. If that doesn't work I'm going to have to compile from source I guess.

    I've PM'd hendersj regarding the SUSE forums logon problem.

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •